// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import MintUI from 'mint-ui'
import 'mint-ui/lib/style.css'
import './assets/css/bass.css'
import '../node_modules/lib-flexible/flexible'
import '@/assets/css/common.css'
import App from './App'
import router from './router'
import store from './store/store.js'

require('./mocks/mock.js')//此部分引入的是我们所编写的mockjs文档


Vue.config.productionTip = false
Vue.use(MintUI)
/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
