import api from "../api/index.js"
console.log("api.config.isMocked:", api.config.isMocked);
if(api.config.isMocked){
	const Mock = require('mockjs');
	let mockObjs = [
			//get
			{//第一个模拟请求
				url:'/api/contract',
				type:"get",
				body:{},
				result:{
					content: [
						{
							type: "待签署",//待签署
							list: [
								{
									id: "C00023698",
									name: "全日制劳动合同",
									time: "2017-6-9 12:12:12",
									show: false,
									flow: [//流程
										{
											time: "2017-6-9 12:12:12",
											state: "发起签署"
										},
										{
											time: "2017-6-9 10:12:12",
											state: "发起签署"
										}
									]
								},
								{
									id: "C00023698",
									name: "非全日制劳动合同",
									time: "2017-6-9 12:12:12",
									show: false,
									flow: [//流程
										{
											time: "2017-6-9 12:12:12",
											state: "发起签署"
										},
										{
											time: "2017-6-9 10:12:12",
											state: "发起签署"
										}
									]
								}
							]
						},
						{
							type: "已签署",//已签署
							list: [
								{
									id: "C00023699",
									name: "全日制劳动合同",
									time: "2017-6-9 12:12:12",
									show: false,
									flow: [//流程
										{
											time: "2017-6-9 10:12:12",
											state: "发起签署"
										}
									]
								}
							]
						},
						{
							type: "待修改",//待修改
							list: [
								{
									id: "C00023799",
									name: "考勤审批",
									time: "2017-6-9 12:12:12",
									show: false,
									flow: [//流程
										{
											time: "2017-6-9 10:12:12",
											state: "发起修改"
										}
									]
								}
							]
						},
						{
							type: "已生效",//已生效
							list: [
								{
									id: "C00023799",
									name: "公司制度",
									time: "2017-6-9 12:12:12",
									show: false,
									flow: [//流程
										{
											time: "2017-6-9 10:12:12",
											state: "发起审批"
										}
									]
								}
							]
						},
						{
							type: "已失效",//已失效
							list: [
								{
									id: "C00023799",
									name: "考勤审批",
									time: "2017-6-9 12:12:12",
									show: false,
									flow: [//流程
										{
											time: "2017-6-9 10:12:12",
											state: "发起审批"
										}
									]
								}
							]
						}
					]
				}
			},{//第二个模拟请求
				url:'/api/linkman',
				type:"get",
				body:{},
				result:{
					content: [
						{
							id: "1",
							tips: "个人",
							messList: [
								{
									name: "悔创阿里杰克马",
									real: true,
									phone: "18566668888",
									img: require('../assets/img/1.jpg')
								},
								{
									name: "普通家庭马化腾",
									real: true,
									phone: "18566668888",
									img: require('../assets/img/2.jpg')
								},
								{
									name: "",
									real: false,
									phone: "18566668888",
									img: require('../assets/img/联系人-头像.png')
								},
								{
									name: "平平无奇古天乐",
									real: true,
									phone: "18566668888",
									img: require('../assets/img/3.jpg')
								},
								{
									name: "随便挣钱丁三石",
									real: true,
									phone: "18566668888",
									img: require('../assets/img/4.jpg')
								},
								{
									name: "一无所有王健林",
									real: true,
									phone: "18566668888",
									img: require('../assets/img/5.jpg')
								},
								{
									name: "",
									real: false,
									phone: "18566668888",
									img: require('../assets/img/联系人-头像.png')
								},
								{
									name: "容颜老去蒋勤勤",
									real: true,
									phone: "18566668888",
									img: require('../assets/img/6.jpg')
								},
								{
									name: "北大还行撒贝宁",
									real: true,
									phone: "18566668888",
									img: require('../assets/img/7.jpg')
								},
							]
						},
						{
							id: "2",
							tips: "企业",
							messList: [
								{
									name: "杭州复杂没科技有限公司",
									real: true,
									phone: "18566668888",
									img: require('../assets/img/联系人-头像.png')
								},
								{
									name: "阿里巴巴",
									real: true,
									phone: "18566668888",
									img: require('../assets/img/联系人-头像.png')
								},
								{
									name: "",
									real: false,
									phone: "18566668888",
									img: require('../assets/img/联系人-头像.png')
								},
								{
									name: "京东",
									real: true,
									phone: "18566668888",
									img: require('../assets/img/联系人-头像.png')
								},
								{
									name: "360",
									real: true,
									phone: "18566668888",
									img: require('../assets/img/联系人-头像.png')
								}
							]
						}
					]
				}
			},
			//这种情况还应付不了
			// {//第三个模拟请求
			// 	url:'/api/data3',
			// 	type:"get",
			// 	body:{"a":1,"b":{b1:2,b2:3}},
			// 	result:{data: ['a3','b3']}
			// },

			//post json
			/*{//第四个模拟请求
				url:'/api/data4',
				type:"post",
				body:{},
				result:{content: ['a4','b4']}
			},{//第五个模拟请求
				url:'/api/data5',
				type:"post",
				body:{"a":1,"b":2},
				result:{content: ['a5','b5']}
			},{//第六个模拟请求
				url:'/api/data6',
				type:"post",
				body:{"a":1,"b":{b1:2,b2:3}},
				result:{content: ['a6','b6']}
			}*/
		];
		for(let i = 0; i < mockObjs.length; i++){
		let item = mockObjs[i];
		let url = item.url;
		let type = item.type;
		let body = item.body;
		let result = item.result;

		//get: req-queryString
		if(type=="get" && body && JSON.stringify(body) != "{}"){
			console.log(body);
			console.log(JSON.stringify(body));
			if(url.indexOf("?")>-1){
				url += "&";
			}
			else{
				url += "?";
			}
			let j = 0;
			for(let attr in body){
				if(j > 0) url += "&";
				url += (attr+"="+ encodeURIComponent(JSON.stringify(body[attr])));
				j++;
			}
		}
		Mock.mock(url, (req, res) => {;
			if(type=="post" && body){
				if(!req.body) return {code:400, success:false, message:"请传入post参数"};
				let reqBody = JSON.parse(req.body);
				for(let attr in body){
					if(!reqBody[attr]){
						return {code:400, success:false, message:"缺乏参数"+attr};
					}
				}
			}
			return result;
		});
	}
}